rox.fileutils | index

`Utilities to perform various operations on paths, with support for
opening the ROX filer to examine locations if things go wrong.
Typical usage:
import rox.fileutils
rox.fileutils.makedirs('/path/for/new/directory')`

Functions
`` |  | makedirs(path, mode=511) `Make a directory at the specified path, creating intermediate directories if necessary. No error if 'path' is already a directory. On error, a dialog which allows the user to open the filer to fix things and then retry will be opened. Returns successfully if all directories get created (or already exist), Raises an OSError if there is a problem, in which case the application should not open a dialog box to inform the user, since one will already have been displayed.` report_patherror(message, path) `Display a <Cancel>/<Retry>/<Examine> dialog. This will raise an OSError exception if the user selects Cancel, or will return successfully if the user chooses to retry.`